<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */

$alhambra_blog_style = explode('_', alhambra_get_theme_option('blog_style'));
$alhambra_columns = empty($alhambra_blog_style[1]) ? 1 : max(1, $alhambra_blog_style[1]);
$alhambra_expanded = !alhambra_sidebar_present() && alhambra_is_on(alhambra_get_theme_option('expand_content'));
$alhambra_post_format = get_post_format();
$alhambra_post_format = empty($alhambra_post_format) ? 'standard' : str_replace('post-format-', '', $alhambra_post_format);
$alhambra_animation = alhambra_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_chess post_layout_chess_'.esc_attr($alhambra_columns).' post_format_'.esc_attr($alhambra_post_format) ); ?>
	<?php echo (!alhambra_is_off($alhambra_animation) ? ' data-animation="'.esc_attr(alhambra_get_animation_classes($alhambra_animation)).'"' : ''); ?>>

	<?php
	// Add anchor
	if ($alhambra_columns == 1 && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="post_'.esc_attr(get_the_ID()).'" title="'.esc_attr(get_the_title()).'"]');
	}

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	alhambra_show_post_featured( array(
											'class' => $alhambra_columns == 1 ? 'alhambra-full-height' : '',
											'show_no_image' => true,
											'thumb_bg' => true,
											'thumb_size' => alhambra_get_thumb_size(
																	strpos(alhambra_get_theme_option('body_style'), 'full')!==false
																		? ( $alhambra_columns > 1 ? 'huge' : 'original' )
																		: (	$alhambra_columns > 2 ? 'big' : 'huge')
																	)
											) 
										);

	?><div class="post_inner"><div class="post_inner_content"><?php 

		?><div class="post_header entry-header"><?php 
			do_action('alhambra_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
			
			do_action('alhambra_action_before_post_meta'); 

			// Post meta
			$alhambra_components = alhambra_is_inherit(alhambra_get_theme_option_from_meta('meta_parts')) 
										? 'categories,date'.($alhambra_columns < 3 ? ',counters' : '').($alhambra_columns == 1 ? ',edit' : '')
										: alhambra_array_get_keys_by_value(alhambra_get_theme_option('meta_parts'));
			$alhambra_counters = alhambra_is_inherit(alhambra_get_theme_option_from_meta('counters')) 
										? 'comments'
										: alhambra_array_get_keys_by_value(alhambra_get_theme_option('counters'));
			$alhambra_post_meta = empty($alhambra_components) 
										? '' 
										: alhambra_show_post_meta(apply_filters('alhambra_filter_post_meta_args', array(
												'components' => $alhambra_components,
												'counters' => $alhambra_counters,
												'seo' => false,
												'echo' => false
												), $alhambra_blog_style[0], $alhambra_columns)
											);
			alhambra_show_layout($alhambra_post_meta);
		?></div><!-- .entry-header -->
	
		<div class="post_content entry-content">
			<div class="post_content_inner">
				<?php
				$alhambra_show_learn_more = !in_array($alhambra_post_format, array('link', 'aside', 'status', 'quote'));
				if (has_excerpt()) {
					the_excerpt();
				} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
					the_content( '' );
				} else if (in_array($alhambra_post_format, array('link', 'aside', 'status'))) {
					the_content();
				} else if ($alhambra_post_format == 'quote') {
					if (($quote = alhambra_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
						alhambra_show_layout(wpautop($quote));
					else
						the_excerpt();
				} else if (substr(get_the_content(), 0, 1)!='[') {
					the_excerpt();
				}
				?>
			</div>
			<?php
			// Post meta
			if (in_array($alhambra_post_format, array('link', 'aside', 'status', 'quote'))) {
				alhambra_show_layout($alhambra_post_meta);
			}
			// More button
			if ( $alhambra_show_learn_more ) {
				?><p><a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'alhambra'); ?></a></p><?php
			}
			?>
		</div><!-- .entry-content -->

	</div></div><!-- .post_inner -->

</article>