<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */

$alhambra_blog_style = explode('_', alhambra_get_theme_option('blog_style'));
$alhambra_columns = empty($alhambra_blog_style[1]) ? 2 : max(2, $alhambra_blog_style[1]);
$alhambra_expanded = !alhambra_sidebar_present() && alhambra_is_on(alhambra_get_theme_option('expand_content'));
$alhambra_post_format = get_post_format();
$alhambra_post_format = empty($alhambra_post_format) ? 'standard' : str_replace('post-format-', '', $alhambra_post_format);
$alhambra_animation = alhambra_get_theme_option('blog_animation');
$alhambra_components = alhambra_is_inherit(alhambra_get_theme_option_from_meta('meta_parts')) 
							? 'categories,date,counters'.($alhambra_columns < 3 ? ',edit' : '')
							: alhambra_array_get_keys_by_value(alhambra_get_theme_option('meta_parts'));
$alhambra_counters = alhambra_is_inherit(alhambra_get_theme_option_from_meta('counters')) 
							? 'comments'
							: alhambra_array_get_keys_by_value(alhambra_get_theme_option('counters'));

?><div class="<?php echo esc_attr($alhambra_blog_style[0] == 'classic' ? 'column' : 'masonry_item masonry_item'); ?>-1_<?php echo esc_attr($alhambra_columns); ?>"><article id="post-<?php the_ID(); ?>"
	<?php post_class( 'post_item post_format_'.esc_attr($alhambra_post_format)
					. ' post_layout_classic post_layout_classic_'.esc_attr($alhambra_columns)
					. ' post_layout_'.esc_attr($alhambra_blog_style[0]) 
					. ' post_layout_'.esc_attr($alhambra_blog_style[0]).'_'.esc_attr($alhambra_columns)
					); ?>
	<?php echo (!alhambra_is_off($alhambra_animation) ? ' data-animation="'.esc_attr(alhambra_get_animation_classes($alhambra_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	alhambra_show_post_featured( array( 'thumb_size' => alhambra_get_thumb_size($alhambra_blog_style[0] == 'classic'
													? (strpos(alhambra_get_theme_option('body_style'), 'full')!==false 
															? ( $alhambra_columns > 2 ? 'big' : 'huge' )
															: (	$alhambra_columns > 2
																? ($alhambra_expanded ? 'med' : 'small')
																: ($alhambra_expanded ? 'big' : 'med')
																)
														)
													: (strpos(alhambra_get_theme_option('body_style'), 'full')!==false 
															? ( $alhambra_columns > 2 ? 'masonry-big' : 'full' )
															: (	$alhambra_columns <= 2 && $alhambra_expanded ? 'masonry-big' : 'masonry')
														)
								) ) );

	if ( !in_array($alhambra_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('alhambra_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('alhambra_action_before_post_meta'); 

			// Post meta
			if (!empty($alhambra_components))
				alhambra_show_post_meta(apply_filters('alhambra_filter_post_meta_args', array(
					'components' => $alhambra_components,
					'counters' => $alhambra_counters,
					'seo' => false
					), $alhambra_blog_style[0], $alhambra_columns)
				);

			do_action('alhambra_action_after_post_meta'); 
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$alhambra_show_learn_more = false; //!in_array($alhambra_post_format, array('link', 'aside', 'status', 'quote'));
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($alhambra_post_format, array('link', 'aside', 'status'))) {
				the_content();
			} else if ($alhambra_post_format == 'quote') {
				if (($quote = alhambra_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
					alhambra_show_layout(wpautop($quote));
				else
					the_excerpt();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($alhambra_post_format, array('link', 'aside', 'status', 'quote'))) {
			if (!empty($alhambra_components))
				alhambra_show_post_meta(apply_filters('alhambra_filter_post_meta_args', array(
					'components' => $alhambra_components,
					'counters' => $alhambra_counters
					), $alhambra_blog_style[0], $alhambra_columns)
				);
		}
		// More button
		if ( $alhambra_show_learn_more ) {
			?><p><a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'alhambra'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>