<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */

$alhambra_blog_style = explode('_', alhambra_get_theme_option('blog_style'));
$alhambra_columns = empty($alhambra_blog_style[1]) ? 2 : max(2, $alhambra_blog_style[1]);
$alhambra_post_format = get_post_format();
$alhambra_post_format = empty($alhambra_post_format) ? 'standard' : str_replace('post-format-', '', $alhambra_post_format);
$alhambra_animation = alhambra_get_theme_option('blog_animation');
$alhambra_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($alhambra_columns).' post_format_'.esc_attr($alhambra_post_format) ); ?>
	<?php echo (!alhambra_is_off($alhambra_animation) ? ' data-animation="'.esc_attr(alhambra_get_animation_classes($alhambra_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($alhambra_image[1]) && !empty($alhambra_image[2])) echo intval($alhambra_image[1]) .'x' . intval($alhambra_image[2]); ?>"
	data-src="<?php if (!empty($alhambra_image[0])) echo esc_url($alhambra_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$alhambra_image_hover = 'icon';	//alhambra_get_theme_option('image_hover');
	if (in_array($alhambra_image_hover, array('icons', 'zoom'))) $alhambra_image_hover = 'dots';
	$alhambra_components = alhambra_is_inherit(alhambra_get_theme_option_from_meta('meta_parts')) 
								? 'categories,date,counters,share'
								: alhambra_array_get_keys_by_value(alhambra_get_theme_option('meta_parts'));
	$alhambra_counters = alhambra_is_inherit(alhambra_get_theme_option_from_meta('counters')) 
								? 'comments'
								: alhambra_array_get_keys_by_value(alhambra_get_theme_option('counters'));
	alhambra_show_post_featured(array(
		'hover' => $alhambra_image_hover,
		'thumb_size' => alhambra_get_thumb_size( strpos(alhambra_get_theme_option('body_style'), 'full')!==false || $alhambra_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. (!empty($alhambra_components)
										? alhambra_show_post_meta(apply_filters('alhambra_filter_post_meta_args', array(
											'components' => $alhambra_components,
											'counters' => $alhambra_counters,
											'seo' => false,
											'echo' => false
											), $alhambra_blog_style[0], $alhambra_columns))
										: '')
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'alhambra') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>