<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */

$alhambra_blog_style = explode('_', alhambra_get_theme_option('blog_style'));
$alhambra_columns = empty($alhambra_blog_style[1]) ? 2 : max(2, $alhambra_blog_style[1]);
$alhambra_post_format = get_post_format();
$alhambra_post_format = empty($alhambra_post_format) ? 'standard' : str_replace('post-format-', '', $alhambra_post_format);
$alhambra_animation = alhambra_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($alhambra_columns).' post_format_'.esc_attr($alhambra_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!alhambra_is_off($alhambra_animation) ? ' data-animation="'.esc_attr(alhambra_get_animation_classes($alhambra_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$alhambra_image_hover = alhambra_get_theme_option('image_hover');
	// Featured image
	alhambra_show_post_featured(array(
		'thumb_size' => alhambra_get_thumb_size(strpos(alhambra_get_theme_option('body_style'), 'full')!==false || $alhambra_columns < 3 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $alhambra_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $alhambra_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>