<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */

$alhambra_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$alhambra_post_format = get_post_format();
$alhambra_post_format = empty($alhambra_post_format) ? 'standard' : str_replace('post-format-', '', $alhambra_post_format);
$alhambra_animation = alhambra_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($alhambra_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($alhambra_post_format) ); ?>
	<?php echo (!alhambra_is_off($alhambra_animation) ? ' data-animation="'.esc_attr(alhambra_get_animation_classes($alhambra_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	alhambra_show_post_featured(array(
		'thumb_size' => alhambra_get_thumb_size($alhambra_columns==1 ? 'big' : ($alhambra_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($alhambra_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			alhambra_show_post_meta(apply_filters('alhambra_filter_post_meta_args', array(), 'sticky', $alhambra_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>