<?php
/**
 * The Front Page template file.
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0.31
 */

get_header();

// If front-page is a static page
if (get_option('show_on_front') == 'page') {

	// If Front Page Builder is enabled - display sections
	if (alhambra_is_on(alhambra_get_theme_option('front_page_enabled'))) {

		if ( have_posts() ) the_post();

		$alhambra_sections = alhambra_array_get_keys_by_value(alhambra_get_theme_option('front_page_sections'), 1, false);
		if (is_array($alhambra_sections)) {
			foreach ($alhambra_sections as $alhambra_section) {
				get_template_part("front-page/section", $alhambra_section);
			}
		}
	
	// Else - display native page content
	} else
		get_template_part('page');

// Else get index template to show posts
} else
	get_template_part('index');

get_footer();
?>