<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('alhambra_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'alhambra_revslider_theme_setup9', 9 );
	function alhambra_revslider_theme_setup9() {
		if (alhambra_exists_revslider()) {
			add_action( 'wp_enqueue_scripts', 					'alhambra_revslider_frontend_scripts', 1100 );
			add_filter( 'alhambra_filter_merge_styles',			'alhambra_revslider_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'alhambra_filter_tgmpa_required_plugins','alhambra_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'alhambra_revslider_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('alhambra_filter_tgmpa_required_plugins',	'alhambra_revslider_tgmpa_required_plugins');
	function alhambra_revslider_tgmpa_required_plugins($list=array()) {
		if (alhambra_storage_isset('required_plugins', 'revslider')) {
			$path = alhambra_get_file_dir('plugins/revslider/revslider.zip');
			$list[] = array(
					'name' 		=> alhambra_storage_get_array('required_plugins', 'revslider'),
					'slug' 		=> 'revslider',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'alhambra_exists_revslider' ) ) {
	function alhambra_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'alhambra_revslider_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'alhambra_revslider_frontend_scripts', 1100 );
	function alhambra_revslider_frontend_scripts() {
		if (alhambra_is_on(alhambra_get_theme_option('debug_mode')) && alhambra_get_file_dir('plugins/revslider/revslider.css')!='')
			wp_enqueue_style( 'alhambra-revslider',  alhambra_get_file_url('plugins/revslider/revslider.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'alhambra_revslider_merge_styles' ) ) {
	//Handler of the add_filter('alhambra_filter_merge_styles', 'alhambra_revslider_merge_styles');
	function alhambra_revslider_merge_styles($list) {
		$list[] = 'plugins/revslider/revslider.css';
		return $list;
	}
}
?>