<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( !function_exists( 'alhambra_tribe_events_get_css' ) ) {
	add_filter( 'alhambra_filter_get_css', 'alhambra_tribe_events_get_css', 10, 4 );
	function alhambra_tribe_events_get_css($css, $colors, $fonts, $scheme='') {
		if (isset($css['fonts']) && $fonts) {
			$css['fonts'] .= <<<CSS
			
.tribe-events-list .tribe-events-list-event-title {
	{$fonts['h3_font-family']}
}

#tribe-events .tribe-events-button,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-sub-nav li a {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}
#tribe-bar-form button, #tribe-bar-form a,
.tribe-events-read-more {
	{$fonts['button_font-family']}
	{$fonts['button_letter-spacing']}
}
.tribe-events-list .tribe-events-list-separator-month,
.tribe-events-calendar thead th,
.tribe-events-schedule, .tribe-events-schedule h2 {
	{$fonts['h5_font-family']}
}
#tribe-bar-form input, #tribe-events-content.tribe-events-month,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title,
#tribe-mobile-container .type-tribe_events,
.tribe-events-list-widget ol li .tribe-event-title {
	{$fonts['p_font-family']}
}
.tribe-events-loop .tribe-event-schedule-details,
.single-tribe_events #tribe-events-content .tribe-events-event-meta dt,
#tribe-mobile-container .type-tribe_events .tribe-event-date-start {
	{$fonts['info_font-family']};
}

CSS;

			
			$rad = alhambra_get_border_radius();
			$css['fonts'] .= <<<CSS

#tribe-bar-form .tribe-bar-submit input[type="submit"], #tribe-bar-form button, #tribe-bar-form a,
#tribe-events .tribe-events-button,
#tribe-bar-views .tribe-bar-views-list,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-sub-nav li a {
	-webkit-border-radius: {$rad};
	    -ms-border-radius: {$rad};
			border-radius: {$rad};
}

CSS;
		}


		if (isset($css['colors']) && $colors) {
			$css['colors'] .= <<<CSS

/* Filters bar */
#tribe-bar-form {
	color: {$colors['text_dark']};
}
#tribe-bar-form input[type="text"] {
	color: {$colors['inverse_text']};
	border-color: {$colors['text_hover']};
	background-color:{$colors['text_hover']};
}
.tribe-bar-views-list {
	background-color: {$colors['text_link']};
}

#tribe-bar-views .tribe-bar-views-toggle,
#tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}

#tribe-bar-views .tribe-bar-views-toggle:hover,
#tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option:hover {
		background-color: {$colors['text_hover']};
}

#tribe-bar-views .tribe-bar-views-toggle span {
	color: {$colors['inverse_link']};
} 

.datepicker thead tr:first-child th:hover, .datepicker tfoot tr th:hover {
	color: {$colors['text_link']};
	background: {$colors['text_dark']};
}

.datepicker .datepicker-months .datepicker-switch:hover, 
.datepicker .datepicker-months .next:hover, .datepicker .datepicker-months .prev:hover, 
.datepicker .datepicker-months tfoot tr th:hover {
	color: {$colors['text_link']};	
}

datepicker table tr td span.active:hover, 
.datepicker table tr td span.active:hover.active, 
.datepicker table tr td span.active:hover:hover {
	color: {$colors['inverse_link']};
}

/* Content */
.tribe-events-calendar thead th {
	color: {$colors['inverse_text']};
	background: {$colors['text_link']} !important;
	border-color: {$colors['text_link']} !important;
}
.tribe-events-calendar thead th + th:before {
	background: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td {
	border-color: {$colors['bg_color_004']} !important;
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"],
.tribe-events-calendar td div[id*="tribe-events-daynum-"] > a {
	color: {$colors['inverse_text']};
}
.tribe-events-calendar td.tribe-events-othermonth {
	color: {$colors['alter_light']};
	background: {$colors['text_hover']} !important;
}
#tribe-events-content .tribe-events-calendar td{
	background: {$colors['text_hover']} !important;
}
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"] > a {
	color: {$colors['extra_text']};
	background-color: transparent;
}
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"], .tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] > a {
	color: {$colors['extra_text']};
}
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_link']};
}

#tribe-events-content .tribe-events-calendar .mobile-active:hover, #tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active, #tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*="tribe-events-daynum-"], #tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*="tribe-events-daynum-"] a, .tribe-events-calendar .mobile-active div[id*="tribe-events-daynum-"], .tribe-events-calendar .mobile-active div[id*="tribe-events-daynum-"] a, .tribe-events-calendar td.mobile-active {
		background-color: {$colors['text_link']};
}

.tribe-events-calendar .tribe-events-has-events:after {
	background-color: {$colors['text_link']};
}
.tribe-events-calendar .mobile-active.tribe-events-has-events:after {
	background-color: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a {
	color: {$colors['inverse_text']};
}
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a:hover {
	color: {$colors['inverse_text']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active,
#tribe-events-content .tribe-events-calendar td.mobile-active:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active div[id*="tribe-events-daynum-"] {
	color: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*="tribe-events-daynum-"] a,
.tribe-events-calendar .mobile-active div[id*="tribe-events-daynum-"] a {
	background-color: transparent;
	color: {$colors['bg_color']};
}

/* Tooltip */
.recurring-info-tooltip,
.tribe-events-calendar .tribe-events-tooltip,
.tribe-events-week .tribe-events-tooltip,
.tribe-events-tooltip .tribe-events-arrow {
	color: {$colors['alter_text']};
	background: {$colors['inverse_text']};
}
#tribe-events-content .tribe-events-tooltip h4,
.tribe-events-tooltip h3.summary { 
	color: {$colors['inverse_text']};
	background: {$colors['text_link']};
}
.tribe-events-tooltip .tribe-event-duration {
	color: {$colors['text_light2']};
}
#tribe-events-content .tribe-events-calendar td:hover {
	background: {$colors['extra_light']}!important;
}
#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth  h3.tribe-events-month-event-title a{
	color: {$colors['extra_text']};
}
#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth  h3.tribe-events-month-event-title a:hover{
	color: {$colors['inverse_text']};
}
.tribe-events-tooltip .tribe-events-event-body{
	background: {$colors['inverse_text']};
}


#tribe-events-content .tribe-events-calendar td.tribe-events-present {
	outline-color: {$colors['text_link']};
}


/* Events list */
.tribe-events-list-separator-month {
	color: {$colors['text_dark']};
}
.tribe-events-list-separator-month:after {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .type-tribe_events + .type-tribe_events,
.tribe-events-day .tribe-events-day-time-slot + .tribe-events-day-time-slot + .tribe-events-day-time-slot {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .tribe-events-event-cost span {
	color: {$colors['bg_color']};
	border-color: {$colors['text_dark']};
	background: {$colors['text_dark']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_color']};
	background-color: {$colors['alter_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a {
	color: {$colors['alter_link']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a:hover {
	color: {$colors['alter_hover']};
}
.tribe-mobile .tribe-events-list .tribe-events-venue-details {
	border-color: {$colors['alter_bd_color']};
}
.tribe-events-event-meta .tribe-event-schedule-details{
	color: {$colors['text_light']};
}
.tribe-events-event-meta address.tribe-events-address, .tribe-events-list .tribe-events-venue-details{
	color: {$colors['text_light']};
}
.tribe-events-read-more{
	color: {$colors['inverse_text']};
	background-color: {$colors['text_link']};
}
.tribe-events-read-more:hover{
	color: {$colors['inverse_text']};
	background-color: {$colors['text_hover']};
}




/* Events day */
.tribe-events-day .tribe-events-day-time-slot h5 {
	color: {$colors['bg_color']};
	background: {$colors['text_dark']};
}

/* Single Event */
.single-tribe_events .tribe-events-venue-map {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_hover']};
	background: {$colors['alter_bg_hover']};
}
.single-tribe_events .tribe-events-schedule .tribe-events-cost {
	color: {$colors['text_dark']};
}
.single-tribe_events .type-tribe_events {
	border-color: {$colors['bd_color']};
}


#tribe-bar-collapse-toggle{
	background: {$colors['text_hover']};
	color: {$colors['inverse_text']};
}



CSS;
		}
		
		return $css;
	}
}
?>