<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */

if (alhambra_sidebar_present()) {
	ob_start();
	$alhambra_sidebar_name = alhambra_get_theme_option('sidebar_widgets');
	alhambra_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($alhambra_sidebar_name) ) {
		dynamic_sidebar($alhambra_sidebar_name);
	}
	$alhambra_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($alhambra_out)) {
		$alhambra_sidebar_position = alhambra_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($alhambra_sidebar_position); ?> widget_area<?php if (!alhambra_is_inherit(alhambra_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(alhambra_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'alhambra_action_before_sidebar' );
				alhambra_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $alhambra_out));
				do_action( 'alhambra_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>