<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0.1
 */
 
$alhambra_theme_obj = wp_get_theme();
?>
<div class="update-nag" id="alhambra_admin_notice">
	<h3 class="alhambra_notice_title"><?php echo sprintf(esc_html__('Welcome to %s v.%s', 'alhambra'), $alhambra_theme_obj->name, $alhambra_theme_obj->version); ?></h3>
	<?php
	if (!alhambra_exists_trx_addons()) {
		?><p><?php echo wp_kses_data(__('<b>Attention!</b> Plugin "ThemeREX Addons is required! Please, install and activate it!', 'alhambra')); ?></p><?php
	}
	?><p>
		<a href="<?php echo esc_url(admin_url().'themes.php?page=alhambra_about'); ?>" class="button-primary"><i class="dashicons dashicons-nametag"></i> <?php echo sprintf(esc_html__('About %s', 'alhambra'), $alhambra_theme_obj->name); ?></a>
		<?php
		if (alhambra_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'alhambra'); ?></a>
			<?php
		}
		if (function_exists('alhambra_exists_trx_addons') && alhambra_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Data', 'alhambra'); ?></a>
			<?php
		}
		?>
        <a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'alhambra'); ?></a>
		<span> <?php esc_html_e('or', 'alhambra'); ?> </span>
        <a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'alhambra'); ?></a>
        <a href="#" class="button alhambra_hide_notice"><i class="dashicons dashicons-dismiss"></i> <?php esc_html_e('Hide Notice', 'alhambra'); ?></a>
	</p>
</div>