<?php
/**
 * The template to display the Author bio
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */
?>

<div class="author_info scheme_dark author vcard" itemprop="author" itemscope itemtype="http://schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php 
		$alhambra_mult = alhambra_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 250*$alhambra_mult );
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
		<h6 class="about_author" itemprop="name"><?php echo esc_html__('about author', 'alhambra'); ?></h6>
		<h5 class="author_title" itemprop="name"><?php echo wp_kses_data('<span class="fn">'.get_the_author().'</span>'); ?></h5>

		<div class="author_bio" itemprop="description">
			<?php echo wp_kses_post(wpautop(get_the_author_meta( 'description' ))); ?>
			<a class="author_link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
			</a>
			<?php do_action('alhambra_action_user_meta'); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
