<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0.10
 */

$alhambra_footer_scheme =  alhambra_is_inherit(alhambra_get_theme_option('footer_scheme')) ? alhambra_get_theme_option('color_scheme') : alhambra_get_theme_option('footer_scheme');
$alhambra_footer_id = str_replace('footer-custom-', '', alhambra_get_theme_option("footer_style"));
if ((int) $alhambra_footer_id == 0) {
	$alhambra_footer_id = alhambra_get_post_id(array(
												'name' => $alhambra_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUT_PT') ? TRX_ADDONS_CPT_LAYOUT_PT : 'cpt_layouts'
												)
											);
}
$alhambra_footer_meta = get_post_meta($alhambra_footer_id, 'trx_addons_options', true);
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($alhambra_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($alhambra_footer_id))); 
						if (!empty($alhambra_footer_meta['margin']) != '') 
							echo ' '.esc_attr(alhambra_add_inline_css_class('margin-top: '.esc_attr(alhambra_prepare_css_value($alhambra_footer_meta['margin'])).';'));
						?> scheme_<?php echo esc_attr($alhambra_footer_scheme); 
						?>">
	<?php
    // Custom footer's layout
    do_action('alhambra_action_show_layout', $alhambra_footer_id);
	?>
</footer><!-- /.footer_wrap -->
