<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0.10
 */

// Logo
if (alhambra_is_on(alhambra_get_theme_option('logo_in_footer'))) {
	$alhambra_logo_image = '';
	if (alhambra_is_on(alhambra_get_theme_option('logo_retina_enabled')) && alhambra_get_retina_multiplier(2) > 1)
		$alhambra_logo_image = alhambra_get_theme_option( 'logo_footer_retina' );
	if (empty($alhambra_logo_image)) 
		$alhambra_logo_image = alhambra_get_theme_option( 'logo_footer' );
	$alhambra_logo_text   = get_bloginfo( 'name' );
	if (!empty($alhambra_logo_image) || !empty($alhambra_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($alhambra_logo_image)) {
					$alhambra_attr = alhambra_getimagesize($alhambra_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($alhambra_logo_image).'" class="logo_footer_image" alt="'.esc_attr__('logo', 'alhambra').'"'.(!empty($alhambra_attr[3]) ? sprintf(' %s', $alhambra_attr[3]) : '').'></a>' ;
				} else if (!empty($alhambra_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($alhambra_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>