<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0.10
 */

// Footer sidebar
$alhambra_footer_name = alhambra_get_theme_option('footer_widgets');
$alhambra_footer_present = !alhambra_is_off($alhambra_footer_name) && is_active_sidebar($alhambra_footer_name);
if ($alhambra_footer_present) { 
	alhambra_storage_set('current_sidebar', 'footer');
	$alhambra_footer_wide = alhambra_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($alhambra_footer_name) ) {
		dynamic_sidebar($alhambra_footer_name);
	}
	$alhambra_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($alhambra_out)) {
		$alhambra_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $alhambra_out);
		$alhambra_need_columns = true;	//or check: strpos($alhambra_out, 'columns_wrap')===false;
		if ($alhambra_need_columns) {
			$alhambra_columns = max(0, (int) alhambra_get_theme_option('footer_columns'));
			if ($alhambra_columns == 0) $alhambra_columns = min(4, max(1, substr_count($alhambra_out, '<aside ')));
			if ($alhambra_columns > 1)
				$alhambra_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($alhambra_columns).' widget ', $alhambra_out);
			else
				$alhambra_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($alhambra_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row  sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$alhambra_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($alhambra_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'alhambra_action_before_sidebar' );
				alhambra_show_layout($alhambra_out);
				do_action( 'alhambra_action_after_sidebar' );
				if ($alhambra_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$alhambra_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>