<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0.06
 */

$alhambra_header_css = $alhambra_header_image = '';
$alhambra_header_video = alhambra_get_header_video();
if (true || empty($alhambra_header_video)) {
	$alhambra_header_image = get_header_image();
	if (alhambra_is_on(alhambra_get_theme_option('header_image_override')) && apply_filters('alhambra_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($alhambra_cat_img = alhambra_get_category_image()) != '')
				$alhambra_header_image = $alhambra_cat_img;
		} else if (is_singular() || alhambra_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$alhambra_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($alhambra_header_image)) $alhambra_header_image = $alhambra_header_image[0];
			} else
				$alhambra_header_image = '';
		}
	}
}

$alhambra_header_id = str_replace('header-custom-', '', alhambra_get_theme_option("header_style"));
if ((int) $alhambra_header_id == 0) {
	$alhambra_header_id = alhambra_get_post_id(array(
												'name' => $alhambra_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUT_PT') ? TRX_ADDONS_CPT_LAYOUT_PT : 'cpt_layouts'
												)
											);
}
$alhambra_header_meta = get_post_meta($alhambra_header_id, 'trx_addons_options', true);

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($alhambra_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($alhambra_header_id)));
				echo !empty($alhambra_header_image) || !empty($alhambra_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($alhambra_header_video!='') 
					echo ' with_bg_video';
				if ($alhambra_header_image!='') 
					echo ' '.esc_attr(alhambra_add_inline_css_class('background-image: url('.esc_url($alhambra_header_image).');'));
				if (!empty($alhambra_header_meta['margin']) != '') 
					echo ' '.esc_attr(alhambra_add_inline_css_class('margin-bottom: '.esc_attr(alhambra_prepare_css_value($alhambra_header_meta['margin'])).';'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (alhambra_is_on(alhambra_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight alhambra-full-height';
				?> scheme_<?php echo esc_attr(alhambra_is_inherit(alhambra_get_theme_option('header_scheme')) 
												? alhambra_get_theme_option('color_scheme') 
												: alhambra_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($alhambra_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('alhambra_action_show_layout', $alhambra_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>