<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */


$alhambra_header_css = $alhambra_header_image = '';
$alhambra_header_video = alhambra_get_header_video();
if (true || empty($alhambra_header_video)) {
	$alhambra_header_image = get_header_image();
	if (alhambra_is_on(alhambra_get_theme_option('header_image_override')) && apply_filters('alhambra_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($alhambra_cat_img = alhambra_get_category_image()) != '')
				$alhambra_header_image = $alhambra_cat_img;
		} else if (is_singular() || alhambra_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$alhambra_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($alhambra_header_image)) $alhambra_header_image = $alhambra_header_image[0];
			} else
				$alhambra_header_image = '';
		}
	}
}

?><header class="top_panel top_panel_default<?php
					echo !empty($alhambra_header_image) || !empty($alhambra_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($alhambra_header_video!='') echo ' with_bg_video';
					if ($alhambra_header_image!='') echo ' '.esc_attr(alhambra_add_inline_css_class('background-image: url('.esc_url($alhambra_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (alhambra_is_on(alhambra_get_theme_option('header_fullheight'))) echo ' header_fullheight alhambra-full-height';
					?> scheme_<?php echo esc_attr(alhambra_is_inherit(alhambra_get_theme_option('header_scheme')) 
													? alhambra_get_theme_option('color_scheme') 
													: alhambra_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($alhambra_header_video)) {
		get_template_part( 'templates/header-video' );
	}
	
	// Main menu
	if (alhambra_get_theme_option("menu_style") == 'top') {
		get_template_part( 'templates/header-navi' );
	}

	// Page title and breadcrumbs area
	get_template_part( 'templates/header-title');

	// Header widgets area
	get_template_part( 'templates/header-widgets' );

	// Header for single posts
	if (false) { get_template_part( 'templates/header-single' ); }

?></header>