<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */

$alhambra_args = get_query_var('alhambra_logo_args');

// Site logo
$alhambra_logo_image  = alhambra_get_logo_image(isset($alhambra_args['type']) ? $alhambra_args['type'] : '');
$alhambra_logo_text   = alhambra_is_on(alhambra_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$alhambra_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($alhambra_logo_image) || !empty($alhambra_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($alhambra_logo_image)) {
			$alhambra_attr = alhambra_getimagesize($alhambra_logo_image);
			echo '<img src="'.esc_url($alhambra_logo_image).'" alt="'.esc_attr__('logo', 'alhambra').'"'.(!empty($alhambra_attr[3]) ? sprintf(' %s', $alhambra_attr[3]) : '').'>';
		} else {
			alhambra_show_layout(alhambra_prepare_macros($alhambra_logo_text), '<span class="logo_text">', '</span>');
			alhambra_show_layout(alhambra_prepare_macros($alhambra_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>