<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */

// Page (category, tag, archive, author) title

if ( alhambra_need_page_title() ) {
	alhambra_sc_layouts_showed('title', true);
	alhambra_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$alhambra_blog_title = alhambra_get_blog_title();
							$alhambra_blog_title_text = $alhambra_blog_title_class = $alhambra_blog_title_link = $alhambra_blog_title_link_text = '';
							if (is_array($alhambra_blog_title)) {
								$alhambra_blog_title_text = $alhambra_blog_title['text'];
								$alhambra_blog_title_class = !empty($alhambra_blog_title['class']) ? ' '.$alhambra_blog_title['class'] : '';
								$alhambra_blog_title_link = !empty($alhambra_blog_title['link']) ? $alhambra_blog_title['link'] : '';
								$alhambra_blog_title_link_text = !empty($alhambra_blog_title['link_text']) ? $alhambra_blog_title['link_text'] : '';
							} else
								$alhambra_blog_title_text = $alhambra_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($alhambra_blog_title_class); ?>"><?php
								$alhambra_top_icon = alhambra_get_category_icon();
								if (!empty($alhambra_top_icon)) {
									$alhambra_attr = alhambra_getimagesize($alhambra_top_icon);
									?><img src="<?php echo esc_url($alhambra_top_icon); ?>" alt="'.esc_attr__('icon', 'alhambra').'" <?php if (!empty($alhambra_attr[3])) alhambra_show_layout($alhambra_attr[3]);?>><?php
								}
								echo wp_kses_data($alhambra_blog_title_text);
							?></h1>
							<?php
							if (!empty($alhambra_blog_title_link) && !empty($alhambra_blog_title_link_text)) {
								?><a href="<?php echo esc_url($alhambra_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($alhambra_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'alhambra_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>