<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0.14
 */
$alhambra_header_video = alhambra_get_header_video();
$alhambra_embed_video = '';
if (!empty($alhambra_header_video) && !alhambra_is_from_uploads($alhambra_header_video)) {
	if (alhambra_is_youtube_url($alhambra_header_video) && preg_match('/[=\/]([^=\/]*)$/', $alhambra_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$alhambra_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($alhambra_header_video) . '[/embed]' ));
			$alhambra_embed_video = alhambra_make_video_autoplay($alhambra_embed_video);
		} else {
			$alhambra_header_video = str_replace('/watch?v=', '/embed/', $alhambra_header_video);
			$alhambra_header_video = alhambra_add_to_url($alhambra_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$alhambra_embed_video = '<iframe src="' . esc_url($alhambra_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php alhambra_show_layout($alhambra_embed_video); ?></div><?php
	}
}
?>